Method: projects.locations.awsClusters.awsNodePools.patch

AwsNodePool を更新します。

HTTP リクエスト

PATCH https://{endpoint}/v1/{awsNodePool.name=projects/*/locations/*/awsClusters/*/awsNodePools/*}

ここで、{endpoint} はサポートされているサービス エンドポイントのいずれかです。

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
awsNodePool.name

string

このリソースの名前。

ノードプールの名前の形式は projects/<project-number>/locations/<region>/awsClusters/<cluster-id>/awsNodePools/<node-pool-id> です。

Google Cloud リソース名の詳細については、リソース名をご覧ください。

クエリ パラメータ

パラメータ
validateOnly

boolean

設定されている場合はリクエストの検証のみが行われ、ノードプールは更新されません。

updateMask

string (FieldMask format)

必須。更新するフィールドのマスク。このフィールドには少なくとも 1 つのパスを指定する必要があります。繰り返しパスフィールドの要素に指定できるのは、次に示す AwsNodePool のフィールドに限られます。

  • annotations。
  • version。
  • autoscaling.min_node_count。
  • autoscaling.max_node_count。
  • config.config_encryption.kms_key_arn。
  • config.security_group_ids。
  • config.root_volume.iops。
  • config.root_volume.throughput。
  • config.root_volume.kms_key_arn。
  • config.root_volume.volume_type。
  • config.root_volume.size_gib。
  • config.proxy_config。
  • config.proxy_config.secret_arn。
  • config.proxy_config.secret_version。
  • config.ssh_config。
  • config.ssh_config.ec2_key_pair。
  • config.instance_placement.tenancy。
  • config.iam_instance_profile。
  • config.labels。
  • config.tags。
  • config.autoscaling_metrics_collection。
  • config.autoscaling_metrics_collection.granularity。
  • config.autoscaling_metrics_collection.metrics。
  • config.instance_type。
  • management.auto_repair。
  • management。
  • updateSettings。
  • updateSettings.surge_settings。
  • updateSettings.surge_settings.max_surge。
  • updateSettings.surge_settings.max_unavailable。

完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"。

リクエストの本文

リクエストの本文には AwsNodePool のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/cloud-platform

詳細については、Authentication Overview をご覧ください。

IAM 権限

name リソースに対する次の IAM 権限が必要です。

  • gkemulticloud.awsNodePools.update

詳細については、IAM のドキュメントをご覧ください。